// backend/server.js
const express = require('express');
const bodyParser = require('body-parser');

const app = express();
const port = 3000;

app.use(bodyParser.json());
app.use(express.static('frontend'));

let tasks = [];

// Route to add a new task
app.post('/tasks', (req, res) => {
    const newTask = req.body.task;
    tasks.push({ id: tasks.length + 1, task: newTask, completed: false });
    res.send('Task added successfully');
});

// Route to mark a task as completed
app.put('/tasks/:id', (req, res) => {
    const taskId = req.params.id;
    const taskIndex = tasks.findIndex(task => task.id == taskId);
    if (taskIndex !== -1) {
        tasks[taskIndex].completed = true;
        res.send('Task marked as completed');
    } else {
        res.status(404).send('Task not found');
    }
});

// Route to delete a task
app.delete('/tasks/:id', (req, res) => {
    const taskId = req.params.id;
    tasks = tasks.filter(task => task.id != taskId);
    res.send('Task deleted successfully');
});

// Route to get all tasks
app.get('/tasks', (req, res) => {
    res.json(tasks);
});

app.listen(port, () => {
    console.log(`Server is running on port ${port}`);
});
